Skip to content

Quick Connect

One-off connections to hosts outside the inventory.

GET/api/quick-connect/settings
PUT/api/quick-connect/settings
POST/api/quick-connect/tickets
GET/api/quick-connect/history
POST/api/quick-connect/history/:id/reconnect
DELETE/api/quick-connect/history/:id
DELETE/api/quick-connect/history
POST/api/quick-connect/save

QC settings + allowed flag for caller ​

GET/api/quick-connect/settings

Authentication: bearer token.
Permission: any signed-in user.

bash
curl -X GET "https://shellius.example.com/api/quick-connect/settings" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Set QC enabled/minRole ​

PUT/api/quick-connect/settings

Authentication: bearer token.
Permission: quick_connect.settings.

Request body

NameTypeRequiredNotes
enabledbooleanYes
bash
curl -X PUT "https://shellius.example.com/api/quick-connect/settings" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": false
  }'

200 OK

json
{ "success": true, "data": { … } }

Create ad-hoc SSH ticket ​

POST/api/quick-connect/tickets

Authentication: bearer token.
Permission: any signed-in user.

Request body

NameTypeRequiredNotes
hoststringYes
portnumberNoDefault 22. 1–65535.
usernamestringNoMay be null.
authobjectYes
expectedHostKeystringNoMay be null.
bash
curl -X POST "https://shellius.example.com/api/quick-connect/tickets" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "host": "…",
    "auth": {}
  }'

201 Created

json
{ "success": true, "data": { … } }

Own QC history ​

GET/api/quick-connect/history

Authentication: bearer token.
Permission: any signed-in user.

Query parameters

NameTypeRequiredNotes
limitnumberNoDefault 10. 1–100.
bash
curl -X GET "https://shellius.example.com/api/quick-connect/history" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

New ticket from own history row ​

POST/api/quick-connect/history/:id/reconnect

Authentication: bearer token.
Permission: any signed-in user.

Path parameters

NameTypeNotes
idstring
bash
curl -X POST "https://shellius.example.com/api/quick-connect/history/{id}/reconnect" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

201 Created

json
{ "success": true, "data": { … } }

Delete own history row ​

DELETE/api/quick-connect/history/:id

Authentication: bearer token.
Permission: any signed-in user.

Path parameters

NameTypeNotes
idstring
bash
curl -X DELETE "https://shellius.example.com/api/quick-connect/history/{id}" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Clear own history ​

DELETE/api/quick-connect/history

Authentication: bearer token.
Permission: any signed-in user.

bash
curl -X DELETE "https://shellius.example.com/api/quick-connect/history" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Save QC target as a Server ​

POST/api/quick-connect/save

Authentication: bearer token.
Permission: quick_connect.save_server.

Request body

NameTypeRequiredNotes
hoststringYes
portnumberNoDefault 22. 1–65535.
usernamestringYes
hostnamestringNoMay be null.
displayNamestringNoMay be null.
customerIdstringYes
environmentstringNoOne of demo, dev, staging, prod. Default dev.
descriptionstringNoMay be null.
hostKeyFingerprintstringNoMay be null.
hostKeyAlgorithmstringNoMay be null.
identityobjectYes
bash
curl -X POST "https://shellius.example.com/api/quick-connect/save" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "host": "…",
    "username": "…",
    "customerId": "…",
    "identity": {}
  }'

201 Created

json
{ "success": true, "data": { … } }
Was this page helpful?No, tell us why